riece (9.0.0-4) unstable; urgency=medium

  * debian/control
    - improve descriptions to fix lintian description-synopsis-starts-with-article
      warning.
  * remove debian/preinst, debconf usage was removed in 2006 and dealing with
    old setting is probably unnecessary anymore.

 -- Hideki Yamane <henrich@debian.org>  Sat, 03 Jan 2015 21:19:00 +0900

riece (9.0.0-3) unstable; urgency=medium

  * debian/preinst
    - Drop handling of emacsen-startup.1.0.8-2 (closes: #601325)
      That is unfortunately rejected previous upload, included again.
      Thanks to Tatsuya Kinoshita <tats@debian.org>

 -- Hideki Yamane <henrich@debian.org>  Mon, 03 Nov 2014 19:05:52 +0900

riece (9.0.0-2) unstable; urgency=medium

  * debian/patches
    - add fix-riece-log-test.patch from upstream git.
      Thanks upstream author, Daiki Ueno <ueno@gnu.org>. 
  * debian/rules
    - enable tests

 -- Hideki Yamane <henrich@debian.org>  Mon, 03 Nov 2014 18:36:46 +0900

riece (9.0.0-1) unstable; urgency=medium

  * New Maintainer (Closes: #654944)
  * New upstream release
  * moderize package 
    - add debian/upstream/signing-key.asc file
    - debian/watch
      + clean up
      + add opts="pgpsigurlmangle=s/$/.sig/" to verify upstream pgp sign
    - add debian/source/format as "3.0 (quilt)"
    - set 9 in debian/compat
    - debian/control
      + "Build-Depends: debhelper (>9)
      + set Standards-Version: 3.9.6
      + s/libgettext-ruby1.8/ruby-gettext/ and drop ruby1.8
      + drop libsoap-ruby1.8 and successor ruby-soap4r package just supports
        1.9 and 2.0, not 2.1 for default in Debian8 "Jessie"
      + add "dh-autoreconf" and drop: "autoconf, automake | automaken"
      + add "Homepage" field
      + add "Vcs-*" field
    - add emacsen-compat (Closes: #762895)
  * remove debian/dirs and riece.lintian-overrides, just specify dependency
    for debconf is good way
  * debian/control
    - add Depends: debconf
  * remove debian/control.in file since it contains few variables and it's not
    necessary to maintain
  * debian/patches
    - add DESTDIR.patch to avoid installation failure

 -- Hideki Yamane <henrich@debian.org>  Sun, 02 Nov 2014 00:03:52 +0900

riece (8.0.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control.in
    - s/automake1.9/automake/ for Build-Depends-Indep to fix build failure
      with sbuild (Closes: #761547)

 -- Hideki Yamane <henrich@debian.org>  Wed, 24 Sep 2014 10:38:40 +0900

riece (8.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #741723)

 -- Eric Dorland <eric@debian.org>  Sat, 22 Mar 2014 15:40:19 -0400

riece (8.0.0-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Sun, 26 Jun 2011 22:57:47 +0900

riece (7.0.2-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Mon, 13 Dec 2010 19:10:10 +0900

riece (7.0.0-1) unstable; urgency=low

  * New upstream release
  * control.in (Standard-Version): Increase to 3.8.4.

 -- OHASHI Akira <bg66@debian.org>  Sun, 30 May 2010 12:28:23 +0900

riece (6.1.0-2) unstable; urgency=low

  * Rebuild with the newest debhelper. 
  * control.in (Standards-Version): Increase to 3.8.3.

 -- OHASHI Akira <bg66@debian.org>  Thu, 17 Sep 2009 22:43:32 +0900

riece (6.1.0-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Tue, 15 Sep 2009 18:45:35 +0900

riece (6.0.0-1) unstable; urgency=low

  * New upstream release
  * control.in (Standards-Version): Increase to 3.8.1.
  (riece/Depends): Add ${misc:Depends}.

 -- OHASHI Akira <bg66@debian.org>  Tue, 02 Jun 2009 18:27:50 +0900

riece (5.0.0-1) unstable; urgency=low

  * New upstream release
  * control.in (Standards-Version): Increase to 3.8.0.

 -- OHASHI Akira <bg66@debian.org>  Mon, 23 Jun 2008 11:03:57 +0900

riece (4.0.0-3) unstable; urgency=low

  * rules (clean): Avoid lintian warning.
  * control.in (riece/Depends): Use emacs instead of emacs21.
  (Build-Depends-Indep): Ditto.

 -- OHASHI Akira <bg66@debian.org>  Tue, 07 Aug 2007 18:24:32 +0900

riece (4.0.0-2) unstable; urgency=low

  * emacsen-startup: Set `riece-data-directory' to
  "/usr/share/emacs/site-lisp/riece". (closes: #428815) 
  * preinst (createStartupFile): Ditto.

 -- OHASHI Akira <bg66@debian.org>  Mon, 18 Jun 2007 14:44:58 +0900

riece (4.0.0-1) unstable; urgency=low

  * New upstream release
  * watch: Add version and script fields.
  * riece.lintian-overrides: New file.
  * rules (install/riece): Install it.
  * dirs: Add usr/share/lintian/overrides entry.

 -- OHASHI Akira <bg66@debian.org>  Tue, 29 May 2007 14:20:44 +0900

riece (3.1.2-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Mon, 29 Jan 2007 14:18:20 +0900

riece (3.1.1-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Tue,  3 Oct 2006 12:11:20 +0900

riece (3.1.0-2) unstable; urgency=low

  * preinst: Avoid useless dpkg conffiles. (closes: #386871)

 -- OHASHI Akira <bg66@debian.org>  Mon, 11 Sep 2006 19:57:40 +0900

riece (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Thu,  3 Aug 2006 00:16:19 +0900

riece (3.0.0-1) unstable; urgency=low

  * New upstream release
  * control.in (Standards-Version): Increase to 3.7.2.
  (Build-Depends): New field.
  (Build-Depends-Indep): Remove @cdbs@.
  (Suggests): New field.
  
 -- OHASHI Akira <bg66@debian.org>  Mon, 29 May 2006 15:15:49 +0900

riece (2.0.2-1) unstable; urgency=low

  * Riece has been integrated into one binary package.
    Then, all add-on packages are abolished.

  * New upstream release
  * rules: Use cdbs to build.
  * control.in: New file for cdbs.
  * emacsen-install: Rewrite to a new de facto standard format.
  * emacsen-startup: Use debian-emacs-flavor instead of flavor.
  * Not using debconf any longer. (closes: #348895)

 -- OHASHI Akira <bg66@debian.org>  Fri, 17 Feb 2006 13:54:58 +0900

riece (1.0.8-2) unstable; urgency=low

  * control (Standards-Version): Increased to 3.6.2.
  (riece/Build-Depends-Indep): Use `emacsen' instead of
  `xemacs21'. (closes: #300883)
  (riece/Depends): Ditto.
  (riece/Depends): Depends debconf-2.0. (closes: #332084)
  (riece-ndcc/Depends): Depends emacs-snapshot. (closes: #328900)
  * riece-ndcc.emacsen-install: Support emacs-snapshot.
  * po/vi.po: Initial Vietnamese translation. (closes: #317780)
  * po/cs.po: Follow the version of 1.0.8. (closes: #313256)
  * po/fr.po: Ditto. (closes: #303104)

 -- OHASHI Akira <bg66@debian.org>  Mon, 21 Nov 2005 20:27:07 +0900

riece (1.0.8-1) unstable; urgency=low

  * New upstream release
  * COMPILE: Update.
  * watch: New file.

 -- OHASHI Akira <bg66@debian.org>  Mon, 14 Mar 2005 18:00:09 +0900

riece (1.0.7b-1) unstable; urgency=medium

  * New upstream release (closes: #293963)
  * copyright: Follow the change of official site.
  * rules (install-indep): Install xpm files.
  * emacsen-install: Ditto.

 -- OHASHI Akira <bg66@debian.org>  Mon,  7 Feb 2005 17:31:38 +0900

riece (1.0.7a-1) unstable; urgency=low

  * New upstream release
  * COMPILE: Update.
  * control (riece-google): New binary package.
  (riece): Add riece-google to suggests.
  * addon-conf (ADDONS): Add google.
  * dh_installemacsen (%priorities): Add riece-google.
  * config: Add eval, keepalive and toolbar to addonlist.
  * templates (riece/addons): Add alias, ctlseq, keyword, log and toolbar
  to default.
  (riece/addons): Add new add-ons to the description.
  * po/ja.po: Follow the change above.

 -- OHASHI Akira <bg66@debian.org>  Sun,  6 Feb 2005 00:12:45 +0900

riece (1.0.6-2) unstable; urgency=low

  * po/cs.po: Initial Czech translation. (closes: #287297)

 -- OHASHI Akira <bg66@debian.org>  Mon, 27 Dec 2004 10:19:07 +0900

riece (1.0.6-1) unstable; urgency=low

  * New upstream release
  * control (Build-Depends-Indep): Use `automake1.9 | automaken' instead of
  `automaken'.

 -- OHASHI Akira <bg66@debian.org>  Mon,  6 Dec 2004 14:13:57 +0900

riece (1.0.5-2) unstable; urgency=low

  * po/fr.po: New French debconf templates translation. (closes: #281485)

 -- OHASHI Akira <bg66@debian.org>  Fri, 19 Nov 2004 11:14:09 +0900

riece (1.0.5-1) unstable; urgency=low

  * New upstream release
  * config: Add yank to addonlist.

 -- OHASHI Akira <bg66@debian.org>  Sun,  7 Nov 2004 11:42:19 +0900

riece (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Tue, 12 Oct 2004 10:05:57 +0900

riece (1.0.3-1) unstable; urgency=medium

  * New upstream release which includes some fixes to long standing bugs in
    essential features. 

 -- OHASHI Akira <bg66@debian.org>  Mon,  6 Sep 2004 13:19:00 +0900

riece (1.0.2-2) unstable; urgency=low

  * po/fr.po: New debconf templates for the french translation.
  (closes: #268614)

 -- OHASHI Akira <bg66@debian.org>  Tue, 31 Aug 2004 16:37:19 +0900

riece (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Tue, 17 Aug 2004 13:30:58 +0900

riece (1.0.1-3) unstable; urgency=low

  * emacsen-install: Fix for the broken installation.
  * addon.emacsen-install: Ditto.

 -- OHASHI Akira <bg66@debian.org>  Fri, 13 Aug 2004 18:06:40 +0900

riece (1.0.1-2) unstable; urgency=low

  * emacsen-startup: Don't add uncompiled files to the load-path.
  * config: Support to backup capability.
  * templates (riece/addons): Revise the description.
  * po/ja.po: New po-debconf translation for Japanese.
  * control (riece/Description): Revised.

 -- OHASHI Akira <bg66@debian.org>  Thu, 12 Aug 2004 12:28:11 +0900

riece (1.0.1-1) unstable; urgency=low

  * New upstream release
  * config: Add foolproof to addonlist.
  * emacsen-startup: Use `debian-pkg-add-load-path-item' and add uncompiled
  files to the load-path.
  * addon.emacsen-startup: Ditto.
  * emacsen-install: Output a log to tempfile.
  * addon.emacsen-install: Ditto.
  * templates (riece/addons): Add the add-on's description.
  * emacsen-startup: Add the note of variable `riece-addons'.

 -- OHASHI Akira <bg66@debian.org>  Mon, 12 Jul 2004 14:55:10 +0900

riece (1.0.0-1) unstable; urgency=low

  * New upstream release
  * po/ca.po: New po-debconf translation for catalan. (closes: #250130)
  * config: Add biff and ignore to addonlist.
  * control (riece-hangman): New binary package.
  (riece-kakasi): Ditto.
  * docs: Remove NEWS.
  * riece-rdcc.preinst: New file for removing obsolete conffile.

  * addon-conf: New file for generating add-on's conffiles.
  * addon.emacsen-install: New file which is a template of add-on's conffile.
  * addon.emacsen-remove: Ditto.
  * addon.emacsen-startup: Ditto.
  * rules (configure-stamp): Use them.
  (clean): Ditto.

 -- OHASHI Akira <bg66@debian.org>  Sun, 30 May 2004 08:12:26 +0900

riece (0.2.1-1) unstable; urgency=low

  * New upstream release
  * rules(binary-common): Run "perl debian/dh_installemacsen" explicitly.
  (closes: #240433)

 -- OHASHI Akira <bg66@debian.org>  Wed, 31 Mar 2004 14:15:29 +0900

riece (0.1.8+20040219cvs-1) unstable; urgency=low

  * New upstream release
  * COMPILE.ndcc: Abolish.
  * COMPILE.rdcc: Ditto.
  * riece-ndcc.emacsen-install: Follow the change above.
  * riece-rdcc.emacsen-install: Ditto.
  * rules: Ditto.
  * control(riece): Fix description.
  * Add new binary package riece-async, riece-lsdb and riece-xface.

 -- OHASHI Akira <bg66@debian.org>  Tue, 19 Feb 2004 11:39:46 +0900

riece (0.1.6-2) unstable; urgency=low

  * control (Build-Depends-Indep): Don't depend `emacs20'.
  (closes: #232739, #232788) 
  (Depends): Ditto.

 -- OHASHI Akira <bg66@debian.org>  Mon, 16 Feb 2004 13:56:43 +0900

riece (0.1.6-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Thu, 13 Nov 2003 13:41:59 +0900

riece (0.1.5a-2) unstable; urgency=medium

  * COMPILE.ndcc (riece-modules): Fix typo.

 -- OHASHI Akira <bg66@debian.org>  Sat, 25 Oct 2003 14:49:59 +0900

riece (0.1.5a-1) unstable; urgency=low

  * New upstream release
  * config: Add icon to addonlist.
  * control (Build-Depends): Depend `automaken' instead of
  `automake1.5 | automake1.6 | automake1.7'.

 -- OHASHI Akira <bg66@debian.org>  Sat, 25 Oct 2003 14:24:35 +0900

riece (0.1.4-1) unstable; urgency=low

  * New upstream release
  * config: Add menu to addonlist.
  * control (Standards-Version): Increased to 3.6.1.

 -- OHASHI Akira <bg66@debian.org>  Mon, 20 Oct 2003 09:06:10 +0900

riece (0.1.3-1) unstable; urgency=low

  * New upstream release
  * config: Add button and keyword to addonlist.

 -- OHASHI Akira <bg66@debian.org>  Tue, 14 Oct 2003 19:51:10 +0900

riece (0.1.1+20030907-1) unstable; urgency=low

  * New upstream release
  * po/nl.po: New po-debconf translation for dutch. (closes: #209115)

 -- OHASHI Akira <bg66@debian.org>  Tue,  9 Sep 2003 07:03:58 +0900

riece (0.1.1-1) unstable; urgency=low

  * New upstream release
  * config: Add guess and history to addonlist.
  * emacsen-startup: Add the hack of riece-guess.
  * templates (addons): Fix typo and default value.
  * po/fr.po: Ditto.
  * po/ja.po: Ditto.

 -- OHASHI Akira <bg66@debian.org>  Mon,  1 Sep 2003 21:54:18 +0900

riece (0.1.0-1) unstable; urgency=low

  * New upstream release
  * po/ja.po: New debconf templates for the japanese translation.

 -- OHASHI Akira <bg66@debian.org>  Tue, 26 Aug 2003 00:22:09 +0900

riece (0.0.4-2) unstable; urgency=low

  * Remove garbages. (closes: #204387)
  * templates (Choices): Don't translate.

 -- OHASHI Akira <bg66@debian.org>  Thu,  7 Aug 2003 23:59:10 +0900

riece (0.0.4-1) unstable; urgency=low

  * New upstream release
  * Switch to gettext for the debconf templates. (closes: #203681)
  * po/fr.po: New debconf templates for the french translation.
  (closes: #203682)
  * control (Standards-Version): Increased to 3.6.0.
  (Build-Depends-Indep): Don't depend apel.

 -- OHASHI Akira <bg66@debian.org>  Wed,  6 Aug 2003 00:19:25 +0900

riece (0.0.3+20030624cvs-3) unstable; urgency=low

  * control (Build-Depends-Indep): Depends `apel'.

 -- OHASHI Akira <bg66@debian.org>  Mon, 30 Jun 2003 16:43:05 +0900

riece (0.0.3+20030624cvs-2) unstable; urgency=medium

  * control (riece-ndcc): Depends on calc. (closes: #199109)

 -- OHASHI Akira <bg66@debian.org>  Sat, 28 Jun 2003 11:23:47 +0900

riece (0.0.3+20030624cvs-1) unstable; urgency=low

  * New upstream release
  * Manage add-on configuration with debconf.
  * riece-ndcc.emacsen-startup: Don't use the 3rd argument of `add-to-list'.
  * riece-rdcc.emacsen-startup: Ditto.

 -- OHASHI Akira <bg66@debian.org>  Wed, 25 Jun 2003 12:52:31 +0900

riece (0.0.3+20030606cvs-1) unstable; urgency=low

  * Initial Release. (closes: #195226)

 -- OHASHI Akira <bg66@debian.org>  Thu,  5 Jun 2003 10:51:09 +0900

